parameters:
  ITERABLE_API_KEY:
    default: "${ITERABLE_API_KEY}"
  SPARKLE_API_KEY:
    default: "${SPARKLE_API_KEY}"

packages:
  - name: iterable
    shared: true
    environment:
      ITERABLE_API_KEY: ${ITERABLE_API_KEY}
      SPARKLE_API_KEY: ${SPARKLE_API_KEY}
    functions:
      - name: iterable-sync
        runtime: 'php:8.3'
        web: true
        limits:
          timeout: 120000
          memory: 256
